Subject: Ticket Assigned - Click & Collect
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Sat, 07 May 2022 01:47:03 +0000

Hi Athar Mubark,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Hi,
Please note that I request order no. 9569212921 and unfurtunately I select incorrect store for collection.
Immediately I submitted request to cancel order from the application but today status changed for placed and customer service informed me that order cannot be cancelled and need about 14 days if not collected from store to be returned and amount will take 7-14 days to be returned, total days for recovery and cancel order will take long time which will make me disappointed.

Please I request to support and even to include and add some options to manipulate mistake requests and cancellation order from click & collect service which need more improvements to fit and meet customer satisfactions and happiness score.

Best Regards. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4319827